package amo

import "surdeus.su/core/ss/urlenc"
import "surdeus.su/core/amo/companies"
import "fmt"

func (client *Client) GetCompany(
	companyID int,
	opts ...urlenc.Builder,
) (*companies.Company, error) {
	deal := new(companies.Company)
	resource := fmt.Sprintf(
		"/api/v4/companies/%d?%s",
		companyID,
		urlenc.Join(opts...),
	)

	err := client.API.Get(resource, deal)
	if err != nil {
		return nil, err
	}
	return deal, nil
}

func (client *Client) UpdateCompany(
	company *companies.Company,
) error {
	return client.updateEntity(
		"/api/v4/companies",
		company.ID,
		company,
	)
}

func (client *Client) UpdateCompanies(
	cs []companies.Company,
) error {
	//ret := []companies.Company{}
	err := client.API.Patch(
		"/api/v4/companies",
		cs,
		nil,
	)

	if err != nil {
		return err
	}

	return nil
}
